---
title: "infisical run"
---

<Tabs>
  <Tab title="Single command">
    ```bash
    infisical run [options] -- [your application start command]

    # Example
    infisical run [options] -- npm run dev
    ```
  </Tab>

  <Tab title="Chained commands">
    ```bash
    infisical run [options] --command [string command]

    # Example
    infisical run [options] --command "npm run bootstrap && npm run dev start; other-bash-command"
    ```
  </Tab>
</Tabs>

## Description

Inject environment variables from the platform into an application process.

## Options

| Option         | Description                                                                                                 | Default value |
| -------------- | ----------------------------------------------------------------------------------------------------------- | ------------- |
| `--env`        | Used to set the environment that secrets are pulled from. Accepted values: `dev`, `staging`, `test`, `prod` | `dev`         |
| `--expand`     | Parse shell parameter expansions in your secrets (e.g., `${DOMAIN}`)      | `true`        |
| `--command`    | Pass secrets into chained commands (e.g., `"first-command && second-command; more-commands..."`)      | None        |
| `--secret-overriding`|  Prioritizes personal secrets with the same name over shared secrets      | `true`        |
